Name: gtklp
Version: 0.9k
Release: alt3

Summary: GTK utilities for CUPS
Summary(ru_RU.UTF-8): GTK утилиты для системы печати CUPS
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.stud.uni-hannover.de/~sirtobi/gtklp
Source0: %name-%version.tar.bz2
Source1: cupsprinter.png
Source2: cupssetup.png
Source3: gtklp-logo.png
Source4: gtklp.png
Source5: cupssetup.desktop
Source6: gtklp.desktop
Source7: gtklpq.desktop
Source8: gtklp.menu
Source9: gtklp-ru.1
Source10: gtklpq-ru.1
BuildRequires: XFree86-devel XFree86-libs glib-devel glibc-devel-static gtk+-devel libcups-devel libssl-devel

%description
GtkLP provides tools to make use and administration of
Common Unix Printing System (CUPS) easier.
 * GtkLP is a frontend to CUPS and a print dialog replacement.
 * GtkLPQ ia a printing queue management tool.

%description -l ru_RU.UTF-8
GtkLP облегчает использование и администрирование
Универсальной Системы Печати для UNIX (CUPS).
 * GtkLP - графический интерфейс для CUPS и новый диалог печати.
 * GtkLPQ - программа управления очередью печати.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall
%find_lang %name
install -m755 -d $RPM_BUILD_ROOT%_datadir/pixmaps
install -p -m644 %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4 $RPM_BUILD_ROOT%_datadir/pixmaps
install -p -m644 -D %SOURCE5 $RPM_BUILD_ROOT%_datadir/gnome/apps/Settings/cupssetup.desktop
install -m755 -d $RPM_BUILD_ROOT%_datadir/gnome/apps/System
install -p -m644 %SOURCE6 %SOURCE7 $RPM_BUILD_ROOT%_datadir/gnome/apps/System
install -p -m644 -D %SOURCE8 $RPM_BUILD_ROOT%_menudir/gtklp
install -p -m644 -D %SOURCE9 $RPM_BUILD_ROOT%_mandir/ru_RU.KOI8-R/man1/gtklp.1
install -p -m644 -D %SOURCE10 $RPM_BUILD_ROOT%_mandir/ru_RU.KOI8-R/man1/gtklpq.1
install -m755 -d $RPM_BUILD_ROOT%_mandir/ru_RU.CP1251/man1
iconv -f KOI8-R -t CP1251 %SOURCE9 > $RPM_BUILD_ROOT%_mandir/ru_RU.CP1251/man1/gtklp.1
iconv -f KOI8-R -t CP1251 %SOURCE10 > $RPM_BUILD_ROOT%_mandir/ru_RU.CP1251/man1/gtklpq.1

%post
%update_menus
#Make CUPS settings compatible...
%__mv %_sysconfdir/cups/cupsd.conf %_sysconfdir/cups/cupsd.conf~
%__cat %_sysconfdir/cups/cupsd.conf~ | %__sed -e s/\#RunAsUser\ no/RunAsUser\ no/ -e s/\#NoIzvrat\ yes/NoIzvrat\ yes/ > %_sysconfdir/cups/cupsd.conf
service cups restart

%postun
%clean_menus

%files -f %name.lang
%_bindir/gtklp*
%_mandir/man1/gtklp*
%_mandir/ru_RU.KOI8-R/man1/gtklp*
%_mandir/ru_RU.CP1251/man1/gtklp*
%_datadir/pixmaps/*
%_datadir/gnome/apps/Settings/*
%_datadir/gnome/apps/System/*
%_menudir/gtklp
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO USAGE

%changelog
* Fri Nov 01 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt3
- New build (using gcc 3.2), CUPS "Izvrat" mode fix

* Wed Jul 10 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt2
- Russian man pages added

* Tue Jul 09 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt1
- ALTLinux build
- Translation update
